ML-ULEX(1)

NAME
ml-ulex - a Unicode-compatible lexical analyser generator

SYNOPSIS

ml-ulex [OPTIONS] file

DESCRIPTION

Ml-ulex is a lexer generator that supports Unicode characters (in UTF-8 representation) and an extended form of regular expressions.

OPTIONS

--dot
    generate DOT output (The generated file will be named file.dot, where file is the input file.

--match
    enter interactive matching mode. This will allow interactive testing of the machine; presently, only the INITIAL start state is available for testing (see the for details on start states).

--ml-lex-mode
    operate in ml-lex compatibility mode.

--table-based
    generate a table-based lexer.

--fn-based
    generate a lexer that represents states as functions and transitions as tail calls.

--minimize
    generate a minimal machine. Note that this is slow, and is almost never necessary.

--strict-sml
    generate strict SML (i.e., do not use SML/NJ extensions). This flag is useful if you want to use the output with a different SML system.

AUTHOR

ml-ulex(1) was written by Aaron Turon.

COPYING

Copyright © 2017 The Fellowship of SML/NJ

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE-ALSO

ml-antlr(1)

The

Regular-expression derivatives reexamined by Scott Owens, John Reppy, and Aaron Turon. Journal of Functional Programming, 19(2):173-190, 2009.